package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.SupplierEvaluactionOpinionComposite;

/** 
 * @Description: 评标意见
 * @author mazc 
 */
public class EvaluationOpinionAction extends Action{
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		actionListener.onLoad(this);
		actionListener = this.getListener();
		Composite composite = actionListener.getParentComposite();
		composite.setData("tenderProjectEntity", this.getTenderProject());
		SupplierEvaluactionOpinionComposite compoiste = new SupplierEvaluactionOpinionComposite(composite, SWT.NONE);
		actionListener.loadComposite(this, compoiste);
	}
	
}
